icon

We found results for “

WS-2019-0341

Good to know:

icon
icon

Date: July 29, 2019

Cross-Site Scripting vulnerability found in nextcloud-vue-collections before 0.4.2. The v-tooltip component has an insecure defaultHTML configuration that allows arbitrary JavaScript to be injected in the tooltip of a collection item. This allows attackers to execute arbitrary code in a victim's browser.

Language: JS

Severity Score

Severity Score

Weakness Type (CWE)

Code

CWE-17

Configuration

CWE-16

Top Fix

icon

Upgrade Version

Upgrade to version nextcloud-vue-collections - 0.4.2

Learn More

CVSS v3.1

Base Score:
Attack Vector (AV): NETWORK
Attack Complexity (AC): LOW
Privileges Required (PR): LOW
User Interaction (UI): NONE
Scope (S): UNCHANGED
Confidentiality (C): NONE
Integrity (I): NONE
Availability (A): HIGH

Do you need more information?

Contact Us